Foutje in Firefox Update - Extenties en Thema's

Hier kun je je opmerkingen over de Nederlandse Firefox-vertaling kwijt.
Peter Koopman

Foutje in Firefox Update - Extenties en Thema's

Berichtdoor Peter Koopman » 30 November 2004, 20:20

Klein foutje in het onderstaande scherm. Raar blokje in het woord Thema's.

Afbeelding

Ik gebruik de laatste FireFox 1.0 engels op Windows XP sp2 met de taal extentie van http://ftp.mozilla.org/pub/mozilla.org/ ... 0.11-l10n/ dus ik zou niet kunnen zeggen of het in de officiële versie ook zit.

Ik hoop dat ik niet dubbel zit te melden. :wink:

Groeten,
Peter Koopman

Anne
Berichten: 462
Lid geworden op: 22 September 2004, 11:24

Berichtdoor Anne » 30 November 2004, 20:31

Deze is bekend. Ik vrees dat deze er in final ook inzit. Niet zeker.
weblog | werkt mee aan mozilla.org, Mozilla Europe, developer.mozilla.org en een beetje aan addons.mozilla.org

Peter Koopman

Berichtdoor Peter Koopman » 30 November 2004, 21:04

Anne schreef:Deze is bekend. Ik vrees dat deze er in final ook inzit. Niet zeker.


Grin, jammer... Dacht ik ook eens iets bij te dragen aan dit nuttige project. :)

Bedoel je dat dit in de final niet aangepast wordt? Dat zou wel jammer zijn, want als ik het tegen kom, dan kan iedereen het vinden. Er lopen momenteel te veel FireFox bashers rond, die zelfs dit kleinste foutje nog kunnen opblazen.

Gebruikersavatar
Gert-Paul
Berichten: 2417
Lid geworden op: 4 Maart 2004, 17:48

Berichtdoor Gert-Paul » 30 November 2004, 21:20

Het is idd bekend, ik heb het eind vorige week gevonden. Nadat de build door het vertaalteam als 'klaar voor 1.0' gemaakt was.

Ze zijn bij Mozilla echter nog niet klaar met testen, maar in de tussentijd konden geen patches oid meegenomen worden. Ik heb zaterdag een patch voor oa dit gemaakt en dit wordt meegenomen als ze nog commentaar hebben bij Mozilla. Vinden ze alles goed dan zit het er jammergenoeg niet meer in..

Blijf verder gewoon doorgaan met testen, misschien zitten er nog wel meer van zulk soort fouten in (al verwacht ik ze niet meer zo en hoop ik er ook niet op).

Gebruikersavatar
Tonnes
Berichten: 814
Lid geworden op: 20 November 2004, 21:40

Berichtdoor Tonnes » 30 November 2004, 22:39

Was deze niet al hersteld in de nightly van de 21e en daarmee nog net op tijd?

Gebruikersavatar
Gert-Paul
Berichten: 2417
Lid geworden op: 4 Maart 2004, 17:48

Berichtdoor Gert-Paul » 30 November 2004, 22:49

Tonnes schreef:Was deze niet al hersteld in de nightly van de 21e en daarmee nog net op tijd?

Ik weet van niets. Er is wel een fout hersteld die Sc00zy gevonden had, maar dat zat in de plugin-zoekservice.

Gebruikersavatar
Tonnes
Berichten: 814
Lid geworden op: 20 November 2004, 21:40

Berichtdoor Tonnes » 30 November 2004, 23:08

Gert-Paul: Ik dacht dat je eerder had aangegeven dat de 'freeze' rond de 21e lag (?). Kon de nightly van de 20e niet meer checken maar in die van de 21e was de genoemde fout verholpen, dus misschien net op tijd?

Peter: probeer die van vandaag eens?

'k Vind overigens die ene spelfout erger.. :lol:

Gebruikersavatar
Gert-Paul
Berichten: 2417
Lid geworden op: 4 Maart 2004, 17:48

Berichtdoor Gert-Paul » 1 December 2004, 7:34

Tonnes schreef:Gert-Paul: Ik dacht dat je eerder had aangegeven dat de 'freeze' rond de 21e lag (?). Kon de nightly van de 20e niet meer checken maar in die van de 21e was de genoemde fout verholpen, dus misschien net op tijd?

Rond de 21e was er idd een moment dat we vonden dat het goed genoeg was voor 1.0. Echt kritische dingen konden toen nog wel meegenomen worden. Zo is pas de 23e of 24e de oplossing van het probleem dat sc00zy meldde meegenomen en daarvoor ook een verkeerde acceskey in de downloads.

'k Vind overigens die ene spelfout erger.. :lol:

Welke? Ik heb nog niet al jouw opmerkingen verwerkt, dus kan zijn dat ik het gemist heb. Ik had niet het idee dat er zo iets wat dat super duidelijk opviel, of vergis ik me?

Peter Koopman

Berichtdoor Peter Koopman » 1 December 2004, 12:33

Tonnes schreef:Peter: probeer die van vandaag eens?


Ik heb de taal extensie van 30-11 gedownload... Ik heb een stabiel systeem, dus ik ga niet lopen rommelen met nightly builds.
Maar in die versie staat de fout er gewoon nog steeds.

Pad: locale/mozapps/update/update.properties

Regel 33

Code: Selecteer alles

updateTypeExtensions=Extensies en thema\u8217s (%S)


De code komt overeen met de code die op andere plaatsen is bebruikt, maar daar staat het als een html code. Hier lijkt het meer een C achtige code.

Code: Selecteer alles

updateTypeExtensions=Extensies en thema\u00B4s (%S)


Nu ziet het er al een stuk beter uit. :)

Gebruikersavatar
Tonnes
Berichten: 814
Lid geworden op: 20 November 2004, 21:40

Berichtdoor Tonnes » 1 December 2004, 15:52

Gert-Paul schreef:Welke? Ik heb nog niet al jouw opmerkingen verwerkt, dus kan zijn dat ik het gemist heb. Ik had niet het idee dat er zo iets wat dat super duidelijk opviel, of vergis ik me?

De fout valt niet meteen op aangezien hij in een tooltip van de themabeheerder zit :) maar het is er wel (weer) een van het type d/t-fout. Deze zat er al even in en ik had hem inderdaad ook gemeld op de 22e, maar de hele string bleek in de nightly van de 21e al te zijn gewijzigd ('Veranderd Firefox's thema' -> 'Veranderd het thema van Firefox.'), doch met behoud van de d/t-fout. Niet zo mooi natuurlijk, als je bedenkt dat daarvóór al enkele d/t-foutjes waren hersteld.. :(

Peter Koopman schreef:Ik heb de taal extensie van 30-11 gedownload... Ik heb een stabiel systeem, dus ik ga niet lopen rommelen met nightly builds.
Maar in die versie staat de fout er gewoon nog steeds.

Je gaf in je eerste post aan dat je wel degelijk een nightly build van het taalpakket gebruikt (bovendien zijn er alleen maar nightlies op dit moment) en dat de fout daarin zit, dus ik weet niet wat je precies met het bovenstaande bedoelt? I.i.g. doelde ik erop dat je daar misschien een nieuwere versie van kon proberen daar de jouwe misschien ouder was dan die van de 21e.

Maar inderdaad, ik had niet goed gekeken. Zowel de strings 'Extensies en thema's' als die eronder, 'De volgende nieuwe versies van extensies en thema's ..' (zie locale/mozapps/update/update.dtd) zijn namelijk gewijzigd op de 21e. In de laatste is 'thema's' correct vervangen door thema’s (met '&#' i.p.v. '\u') maar in de andere blijkbaar abusievelijk door 'thema\u8217s'. De fout zit er dus nog steeds in. :(

Ik ben overigens bang dat deze fout vaker voorkomt; de term '\u8217' is namelijk nog driemaal te vinden in het pakket, waarvan er 2 zichtbare fouten zullen geven. Ik zal ze eerdaags meenemen met andere voorgestelde correcties in het daarvoor bestemde topic.
Laatst gewijzigd door Tonnes op 1 December 2004, 19:01, 2 keer totaal gewijzigd.

Gebruikersavatar
Peter Koopman
Berichten: 32
Lid geworden op: 1 December 2004, 12:39

Berichtdoor Peter Koopman » 1 December 2004, 18:14

Tonnes schreef:Je gaf in je eerste post aan dat je wel degelijk een nightly build van het taalpakket gebruikt (bovendien zijn er alleen maar nightlies op dit moment) en dat de fout daarin zit, dus ik weet niet wat je precies met het bovenstaande bedoelt?


Wat ik bedoelde dat ik geen volledige build van Firefox heb gedownload, maar alleen de taal extensie. Ik wist niet dat het taalpakket ook met nightly werd aangeduid.

Dus ik gebruik idd een nightly build.

Gebruikersavatar
Peter Koopman
Berichten: 32
Lid geworden op: 1 December 2004, 12:39

Berichtdoor Peter Koopman » 2 December 2004, 8:10

Tonnes schreef:Maar inderdaad, ik had niet goed gekeken. Zowel de strings 'Extensies en thema's' als die eronder, 'De volgende nieuwe versies van extensies en thema's ..' (zie locale/mozapps/update/update.dtd) zijn namelijk gewijzigd op de 21e. In de laatste is 'thema's' correct vervangen door thema’s (met '&#' i.p.v. '\u') maar in de andere blijkbaar abusievelijk door 'thema\u8217s'. De fout zit er dus nog steeds in. :(


Ik heb het even uitgeprobeerd, maar de term '\u8217' vervangen door '& #8217;' levert niet het juiste resultaat op. De \u schrijfwijze is dus wel noodzakelijk. Als je de &# notatie gebruikt, dan wordt de code letterlijk opgenomen in de dialoog (Dan vind ik een rare vlek toch nog netter :)) Volgens mij zou het \u00B4 moeten zijn, maar ik weet natuurlijk niet of Linux en Apple dat slikken.

(Ja ik weet dat ik een spatie in de &# code heb gezet en dat die daar niet hoort.)

Gebruikersavatar
Jeroen p
Berichten: 69
Lid geworden op: 13 November 2004, 17:18

Berichtdoor Jeroen p » 2 December 2004, 13:48

Peter Koopman schreef:Volgens mij zou het \u00B4 moeten zijn, maar ik weet natuurlijk niet of Linux en Apple dat slikken.

Dit werkt zeker op Linux en het zou meer zeer verbazen als het niet voor een Mac zou werken.

\u00B4 is het acute accent teken en lijkt me inderdaad het juiste teken.
Mocht iemand nog op zoek zijn naar een mooi unicode overzicht: http://www.alanwood.net/demos/wgl4.html

Gebruikersavatar
Tonnes
Berichten: 814
Lid geworden op: 20 November 2004, 21:40

Berichtdoor Tonnes » 2 December 2004, 14:20

Peter Koopman schreef:Ik heb het even uitgeprobeerd, maar de term '\u8217' vervangen door '& #8217;' levert niet het juiste resultaat op. De \u schrijfwijze is dus wel noodzakelijk.

Verdraaid.. je hebt gelijk :)

Heb het ook getest (iets wat ik vaker zou moeten doen alvorens iets te roepen :)) en het lijkt er inderdaad op dat hier toch de unicode-notatie gebruikt moet worden, net als in de andere .properties-bestanden. Of dit zoals je zegt in Linux en op de Mac ook goed gaat kan ik nu niet testen maar ik vermoed eerlijk gezegd van wel. Zeker is i.i.g. dat ook in de 2 andere gevallen \u00B4 het probleem oplost en zeer waarschijnlijk benodigd is. We mogen je wel dankbaar zijn. ;)

Anne
Berichten: 462
Lid geworden op: 22 September 2004, 11:24

Berichtdoor Anne » 2 December 2004, 14:30

\u (de character reference equivalent daarvan is &#x, niet &#) is hexadecimaal, niet decimaal.
weblog | werkt mee aan mozilla.org, Mozilla Europe, developer.mozilla.org en een beetje aan addons.mozilla.org


Terug naar “Nederlandse Firefox-vertaling”